Filzip Hilfe

<Weiter>

Filzip ist der hochwertigste und schnellste kostenlose Packer für Windows® 95, 98, ME, 2000, NT® und das neue WinXP. Sie arbeiten in einer einfachen und hochmodernen Benutzerumgebung, ähnlich wie bei anderen wohlbekannten und populären Packern! Sie haben Zugriff auf viele leistungsstarke Funktionen. Mit einer Hilfe im HTML-Format, war Lernen nie einfacher -- wie das Browsen durch Webseiten. Klicken Sie auf Funktionen, um mehr Informationen über Filzip zu finden.

Um mehr über Filzip zu lernen lesen Sie:

  • Die Einführung
  • Die Funktionen

<Weiter>

Copyright (c) 1997-2001 by The Filzip Team


Einführung

<Zurück> <Weiter>

Im Internet werden Sie immer wieder mit ZIP-Dateien (dem am oftesten benutzen Kompressionsformates) und anderen Archiven konfrontiert. Filzip ist DER Weg, um mit diesen komprimierten Dateien zu arbeiten. Es ist beides: Leistungsstark und sehr schnell. Hohe Kompressionsraten sind der Standard.
Filzip vereinigt die Annehmlichkeiten von Windows mit der Benutzung von Zip-Dateien und anderen Archivtypen.

Filzip ist äußerst einfach zu benutzen! Um ein Archiv zu öffnen klicken Sie einfach doppelt (bzw. wenn Sie im Webstilarbeiten: einmal) auf ein Archiv im Arbeitsplatz oder im Windows Explorer, Drag&Drop ein Archiv auf Filzip, oder benutzen das Standard Öffnen-Dialogofenster. Das Filzip Hauptfenster zeigt eine Tabelle mit den Namen und der Größe aller geöffneten Dateien an. Diese Tabelle kann in jedem Feld gescrollt und sortiert werden. Eine konfigurierbare Toolbar stellt schnellen Zugriff auf die Standard-Funktionen von Filzip zur Verfügung.

Ein Doppelklick auf eine Datei im Filzip Hauptfenster hat denselben Effekt wie ein Doppelklick im Arbeitsplatz oder im Windows Explorer. Zuerst wird die Datei aus dem Archiv entpackt. Dann wird sie, wenn die Datei eine .exe-Datei ist, ausgeführt. Andernfalls wird die Datei durch das verknüpfte Programm (z.B. Notepad für *.TXT Dateien) basierend auf den Standard Windows Verknüpfungen, oder jeglichem anderen Programm, das Sie verwenden wollen, geöffnet.

Die Windows Drag&Drop Schnittstelle wird voll von Filzip unterstützt. Sie können alle Dateien von Filzip per Drag&Drop auf anderen Programme ziehen oder auch nur in den Windows Explorer ziehen, um sie in einem spezifischen Verzeichnis zu entpacken. Filzip entpackt die Dateien zuerst und verschiebt sie dann auf das Zielprogramm. Das Zielprogramm wird die Dateien wie alle Dateien, die z.B. vom Arbeitsplatz oder vom Windows Explorer verschoben wurden, verwenden. Sie können auch Archive auf das Filzip Fenster verschieben, um sie zu öffnen oder um sie in Filzip zu einem bereits geöffneten bzw. neuen Archiv hinzuzufügen.


Funktionen von Filzip

Neue Funktionen in 2.01 (06-10-2001):

  • Es wurden sehr viele Fehler (Bugs) behoben!:
    • - Many, many bug-fixes!!
    • - Icons are now displayed on NT 4.0 systems
    • - Windows Shell system updates now after the filetype-registration
    • - Partial Filetype association is now possible!
    • - Copy/Move/Rename bugs are now fixed
    • - tar files in tar.gz archives are automatically opened
    • - AutoUpdate feature added
    • - storing files without path info is now possible
    • - WinXP theme support added (tlistview bug fixed)
    • - enhanced shell extension (shortening filenames)
    • - fixed bug: extract selected files
    • - and many more... :)

New features in 2.0 (24-06-2001):

  • Big speed improvement: Loading files up to 20 times faster
  • Extended shell extensions: Add to all archive types, multiextract, multitest, email,...
  • remote/local ini file location
  • Test, Extract, Convert and Repair many files at once
  • Rename and change path of files in zip archives
  • Filetype is now displayed
  • new menu & toolbar icons
  • temp folder bug fixed
  • fixed problem with already existing files
  • no more problems with WinNT & Registry access

New features in 1.61:

  • some bugfixes

New features in 1.60 (01-12-2000):

  • New feature: Exe to Zip conversion
  • Zip list now displays CRC and Archive bits
  • Commandline support (add+extract)
  • auto-update function tells about new FilZip versions
  • english ressource strings (see menu shortcuts)
  • fixed automatix setup bug
  • fixed "Error in List() function" bug
  • fixed bugs when Adding single folder
  • fixed problems with file associations under Win2K & NT
  • fixed file viewing bug

New features in 1.54 (02-11-2000):

  • new internet address: http://www.filzip.com
  • many bugfixes, especially:
    • shell extension fixes
    • storing with relative path names

New features in 1.53 (18-10-2000):

  • Main new feature: support of 15 archive types, including arj, ace, cab, gzip, lha, rar, zip of course, and many more!
  • built-in mail client to send archives as email (also possible to launch default mail program, be careful with MS Outlook Express 5.0)
  • you can encode (&decode of course) your zip files using the uue or xxe encryption
  • Checkout function: Files are being extracted to the hdd and a start menu entry will be created for each file
  • Test the archive, zip files only!
  • search for files in archive
  • create spanned archives very easy
  • improved multiextract function
  • toolbar changed a lot (style, now possible to drag it to the left or the bottom)
  • Create shortcut to archive on the Desktop

New features in 1.5 (29-07-2000):

    wait for next release for detailed information ;)

New features in 1.1 (05-06-2000):

  • Shell Extensions added
  • many bugfixes

New features in 1.0e beta (05-03-2000):

  • renamed to FilZip 2000
  • New menuitem: File->Properties. Displays Archive properties
  • Main window now being disabled when processing archive.
  • Fixed bug in drag&drop engine
  • Dlls are now installed into FilZip folder

New features in 1.0d beta (24-02-2000):

  • Full Drag & Drop support.
    You can both drag files into FilZip and out of FilZip, e.g. into Windows Explorer
  • MultiExtract:
    This feature makes it possible for the user to extract many files at one time, without opening each file manually.

New features in 1.0c beta (23-01-2000):

  • New spanning capabilities: Now you can either let FilZip span the data automatically, e. g. to floppy disks, or you can manually select the size of the single files you want to have.
  • I have been working on many bugs, so this version should be much more stable
  • Another thing I found out now is how to implement shell extensions. The next version of FilZip will definitly support this feature, but I haven't had the time do include it yet.

New features in 1.0b beta (01-11-99):

  • Implemented the possibility to sort the list items by name size, date and so on. Either you use the menues (main menu or popup menu) or you click the column headers.
  • The statusbar now gives you more information about the archive and the selected files. It shows you how many files are in the entire archive and how many of them you have currebtly selected, and their size in both compressed and uncompressed status.

New features in 1.0a beta:

  • Now supports zip comments (at the moment still read-only)
  • Several new functions: Copy, move and renaming the archive, select all zip entries, invert selection
  • New style of toolbar, now you can drag it out of the FilZip window as an own one, new speedbutton style
  • Drag&Drop routines imlemented, but at the moment only into a zip file
  • I added a context menu for the zip entries

Old features (v 0.99):

  • It is tested on Win 95 & 98, and it should also run under Win NT.
  • By double-clicking onto a file in the grid, it's opened withthe program associated to this filetype.
  • Simple EXE-creating: Converting the ZIP-file to an single EXE is very useful when you want to distribute your software over the internet.
  • You can protect your files with a password so only persons can access them
  • Add files to an existing archive
  • Delete files from an existing archive
  • Decompress files from a zip file
  • Obtain a detailed list of files and information like compression rate, path, or size from a Zip file.
  • FilZip supports both long and short 8.3 filenames
  • disk spanning from and to multiple diskettes or other removable media


Kurzes Tutorial

Schauen Sie sich diese Punkte an, um über Filzip zu lernen:

  • Das Hauptfenster von Filzip
  • Ein neues Archiv erstellen
  • Ein Archiv öffnen
  • Dateien anzeigen
  • Dateien einem Archiv hinzufügen
  • Dateien entpacken
  • Dateien löschen
  • Archive aufteilen


Das Filzip Fenster

Das Filzip Haupt-Fenster

Das Filzip Fenster ist der Ausgangspunkt für alle Aktionen, die Sie starten. Sie können es durch das Startmenü oder durch das Doppelklicken auf eine Archivdatei auf Ihrer Festplatte automatisch durch den Explorer öffnen.

Die Titelleiste zeigt nicht nur den Namen von Filzip an, sondern auch den Namen des aktuell geöffneten Archives. Die Toolbar ermöglicht Ihnen einen schnellen Zugriff auf die meistgenutzten Aufgaben, wie z.B. Öffnen, Hinzufügen, Entpacken, und einiger anderer...

Die Hauptfensterfläche zeigt in Form einer Tabelle Informationen über die Dateien in dem Archiv an, wie z.B. den Dateinamen oder die Kompressionsrate. Zum Schluss zeigt die Statusleiste die Größe der Dateien im komprimierten und unkomprimierten Zustand mit einigen anderen Informationen über das Archiv an.


Neues Archiv erstellen

Sie können ein neues Archiv erstellen, indem Sie Neues Archiv im Hauptmenü auswählen oder indem Sie auf der Toolbar auf Neu klicken.

Dann müssen Sie einen Namen für das neue Archiv unter Dateiname eingeben, der aber nicht zu lang sein sollte, und dann unter Dateityp die Art des Archivs auswählen! Standardmäßig ist der Dateityp das weitverbreitete Zip-Format! Dieser Dialog ist ein Standard Windows "Öffnen"-Dialog: Sie können also das Laufwerk und einen Ordner auswählen, in dem das neue Archiv erstellt werden soll. Selbstverständlich können Sie auch direkt einen neuen Ordner erstellen, indem Sie auf das kleine Ordnersymbol in der oberen Leiste klicken. Wenn Sie einen Namen für ein bereits vorhandenes Archiv auswählen, fragt Filzip Sie, ob Sie es überschreiben möchten.

Wenn Sie hingegen mit bereits vorhandenen Archiven arbeiten möchten, besuchen Sie bitte die Archiv Öffnen Hilfe.


Ein Archiv öffnen

Zuerst müssen Sie ein Archiv öffnen. Wählen Sie dazu Archiv öffnen vom Dateimenü oder klicken Sie auf die Öffnen Schaltfläche auf der Toolbar. Durch das Klicken auf die kleine Dreiecksschaltfläche neben der Schaltfläche "Öffnen" öffnet ein kleines Untermenü mit einer Liste von zuletzt geöffneten Archiven.

Wenn Sie auf die Schaltfläche "Öffnen" geklickt haben, wird ein kleines Öffnen-Dialogfenster angezeigt, wie auch in vielen anderen Anwendungen. Sie müssen nur die Datei auswählen, die Sie öffnen möchten und dann auf "Öffnen" klicken. (Falls Sie nicht mit bereits vorhanden Archiven arbeiten möchten, lesen Sie bitte die Hilfe zu Neues Archiv erstellen)

Jetzt können Sie die Dateien, die in dem Archiv gepackt sind, ihre Größe, ihre Kompressionsrate und ihren Pfad sehen. Sie sind nun in der Lage die Dateien in dem Archiv zu entpacken, neue Dateien hinzuzufügen, Dateien zu löschen oder auch Dateien sich direkt durch einen Doppelklick anzeigen zu lassen.


Dateien im Archiv ansehen

Es kann oft vorkommen, dass Sie bevor Sie das ganze Archiv entpacken, einzelne Dateien vorher ansehen möchten. Dazu haben Sie mehrere Möglichkeiten. Entweder wählen Sie den Weg über das Hauptmenu (Aktion->Öffnen), oder, am einfachsten, Sie klicken einfach doppelt (oder auch nur einfach, wenn "HotTracking" aktiviert ist) auf die Datei in der Liste, die Sie ansehen wollen. Die ausgewählte Datei wird nun in ihr Temp-Verzeichnis entpackt und mit ihrem Standardanzeigeprogramm geöffnet. Zum Beispiel wird eine .doc-Datei mit Wordpad angezeigt.

Wenn Sie die Datei mit einem besonderen Programm ansehen wollen (z.B. ein Hexeditor), dann wählen Sie den eintrag Aktion->Anzeigen aus dem Hauptmenu oder benutzen Sie die Werkzeugleiste. Standardmässig wird die Datei mit dem Windows Notepad geöffnet, aber natürlich können Sie ihr eigenes benutzen. Um dieses einzustellen, rufen Sie den Einstellungs-Dialog auf.


Dateien zum Archiv hinzufügen

Bevor Sie Dateien zu einem Archiv hinzufügen, stellen Sie sicher, dass Sie eines erstellt oder geöffnet haben.

Öffnen Sie den "Dateien hinzufügen" Dialog über die Werkzeugleiste oder das Hauptmenü. Wählen Sie dort dann die Dateien aus, die Sie dem Archiv hinzufügen wollen. Nachdem Sie die gewünschten Optionen auf der gleichnamigen Seite ausgewählt haben, betätigen Sie den Knopf "Hinzufügen", um den Vorgang abzuschließen.
Jetzt werden die Dateien hinzugefügt. Sie können den Vorgang abbrechen, indem Sie "Abrechen" im Statusfenster auswählen.

Eine andere Möglichkeit, Dateien hinzuzufügen, ist Sie per Drag&Drop auf dem Filzip-Fenster fallen zu lassen.


Dateien entpacken

Dateien aus einem Archiv entpacken

Wenn Sie eine Datei entpacken dekomprimiert Filzip diese und platziert diese im Ordner, den Sie vorher ausgewählt haben. Falls das Archiv mit Pfaden gepackt ist, stellt Filzip die Ordner her und erzeugt so die Verzeichnisstruktur jeglicher Unterordner.

Klicken Sie auf Entpacken aus dem Aktionen-Menü oder klicken Sie auf die Entpckenschaltfläche auf der Toolbar. Der angezeigte Dialog ermöglicht Ihnen verschieden Einstellungen vorzunehmen und den Ordner auszuwählen, in den Filzip die Dateien entpacken soll.
Für mehr Informationen schauen Sie sich bitte den Entpacken-Dialog an.


Dateien aus dem Archiv löschen

Es wird empfohlen, dass Sie zuerst die Dateien markieren, die Sie löschen möchten. Andernfalls werden ALLE Dateien gelöscht! Sie können die Strg- oder Shift-Taste gedrückt halten, um mehrere Dateien zu markieren.

Gehen Sie zum "Aktionen"-Menü und klicken Sie auf "Löschen". Es wird ein neuer Dialog geöffnet, der Ihnen zwei Möglichkeiten bietet:
Einerseits ALLE Dateien auf einmal zu löschen oder andererseits nur die ausgewählten Dateien.

Wenn Sie jetzt auf "Löschen" klicken werden die Dateien gelöscht.


Archive auftelen

Archive aufteilen

Von Zeit zu Zeit kommt es vor, dass Archive einfach zu Groß sind, zum Beispiel für eine Diskette oder mittlerweile auch schon für eine CD. Filzip bietet die Möglichkeit, große Archive in mehrere kleinere Dateien aufzuteilen, die sich später wieder zusammensetzen lassen.

Um ein Archiv zu erstellen, das auf mehrere Dateien verteilt wird, gibt es zwei Möglichkeiten. Entweder Sie erstellen ein Archiv direkt auf einem austauschbaren Datenträger (z.B. Diskette). Falls die Datenträgergöße überschritten werden sollte, werden Sie automatisch zum einlegen eines neuen Datenträgers aufgefordert. Sie können entweder formatierte oder auch volle Disketten verwenden. Im Falle des letzteren müssen Sie nur die Funktion "Automatisch & formatieren" auswählen. Dies ist aber nur möglich, wenn Sie ein neues Archiv erstellen, nicht wenn Sie nur Dateien einem Archiv hinzufügen. Auch das löschen von Dateien in aufgeteilten Archiven ist nicht möglich.

Beispiel:
Packen der Dateien in ihrem C:\Test Verzeichnis in eine Zip-Datei namens A:\Test.zip

- Starten Sie FilZip.

- Erstellen Sie ein neues Archiv namens A:\TEST.ZIP

- Öffnen Sie den Hinzufügen-Dialog

- Fügen Sie das Verzeichnis C:\Test den hinzuzufügenden Einträgen zu

- Wählen Sie "Automatisch" oder "Automatisch & formatieren" in der Aufsplitten- auswahlbox aus.

- Klicken Sie auf den Hinzufügen Knopf

Falls mehr als eine Diskette benötigt wird, werden Sie danach gefragt. Die Zweite Methode ist ein Archiv zu öffnen, und dann im "Extras" Menü den Punkt "Ziparchiv aufteilen" zu wählen. Wählen Sie jetzt einfach die gewünschte Größe der Dateien und klicken Sie auf Ok.


FilZip per Kommandozeile

Seit der Version 1.6 unterstützt Filzip Kommandozeilenparamter. Im moment können Sie auf diese Weise Dateien hinzufügen und entpacken, weitere Funktionen folgen später.
Hier ist eine Übersicht:

    Verwendung: filzip.exe <-kommando> [-<sw> [-<sw>...]] <archiv_name> [<dateiname>...]
    Beispiel: filzip.exe -a -rp test.zip *.txt
    <Kommandos>

    -a : Dateien hinzufügen
    -e : Deteien entpacken

    <Optionen>
    Hinzufügen
      r : Recursiv hinzufügen
      p : Relative Pfadnamen speichern
      f : Volle Pfadnamen speichern
      s : Dateiliste aus Parameter-Datei laden

    Entpacken
      r : Pfade wiederherstellen
      o : vorhandene Dateien überschreiben
      u : ältere Dateien aktualisieren

Bemerkung:
Wollen Sie eine größere Anzahl von Dateien auf einmal einem Archiv hinzufügen, dann speichern Sie die Liste der Dateinamen in einer Textdatei ab, pro Zeile eine Datei, und benutzen sie die Option -s mit dem Dateinamen der Textdatei als Parameter.
Beispiel:

filzip.exe -a -rps test.zip param.txt


Erweiterte Funktionen

Selbstentpackende Archive (SFX)
 Ein selbstentpackende Archivdatei (SFX) ist eine ausführbare Datei (.exe), die sowohl die Zip-Datei als auch die Software zum Entpacken der selbigen beinhaltet. Durch das ausführen der Datei kann der Inhalt des Archivs entpackt werden, was sehr praktisch ist da kein Packprogramm nötig ist. Der einzige Nachteil von selbstentpackenden Archiven ist dass sie geringfügig Größer sind als normale Zip-Dateien.

Win32 SFXe sind Windows 9x / NT / 2000 / XP Programme, die sich mit einem Standard-Windows Benutzerinterface zeigen. Sie sind etwa 34 KB größer als die original-Zip-Datei.


Über Filzip und den Autor

Das Filzip Entwicklungs-Team:

Philipp Engel [Main-developer]
Christian Schindler
Ludek Finstrle

Kontakt:

Buchenweg 10
85757 Karlsfeld
GERMANY

Email: philipp.engel@filzip.com
Website: http://www.filzip.com

Da ich ein armer :) Schüler bin, bin ich auf Spenden angewiesen...

Bankleitzahl: 700 515 40
Kontonummer: 86538
Bank: Sparkasse Dachau

Dieses Programm wurde mit Borland Delphi 5 erstellt.

HAFTUNGSAUSSCHLUSS

 DER AUTOR PHILIPP ENGEL IST NICHT FÜR SCHÄDEN VERANTWORTLICH, DIE DURCH DEN ANWENDER ODER DRITTE DURCH VERWENDUNG ODER VERBREITUNG DER SOFTWARE VERURSACHT WERDEN. IN KEINEM FALL IST DER AUTOR FÜR ENTGANGENEN UMSATZ ODER GEWINN ODER DEN VERLUST VON DATEN ODER FÜR DIREKTE, INDIREKTE, SPEZIELLE, LOGISCH FOLGENDE, BEILÄUFIGE ODER EINSCHLIEßENDE SCHADENSERSATZANSPRÜCHE VERANTWORTLICH, DIE DURCH DEN GEBRAUCH ODER DIE UNMÖGLICHKEIT DES GEBRAUCHS DER SOFTWARE VERURSACHT WURDEN, UNABHÄNGIG VON THEORETISCH BESTEHENDER MÖGLICHER HAFTUNG, SELBST WENN DER AUTOR VON DER MÖGLICHKEIT SOLCHER SCHÄDIGUNGEN BENACHRICHTIGT WORDEN IST.

This compression tool was built using delphi zip component by Eric Engler http://www.geocities.com/SiliconValley/Network/2114/

His components use the code from the Info-Zip Company, which is freely availible at: http://www.cdrom.com/pub/infozip/